---
layout: default
---

<section>
  <header>
    <h1>{{ page.title }}</h1>
  </header>

  <div class="content">
    {{ content }}
  </div>

  <div id="user" data-controller="cart-contact">
    <h2>{{ page.user }}</h2>

    <form data-target="cart-contact.form">
      {% for field in site.data.forms.user %}
        {% assign template = field[1].type | append: '.html' %}
        {% include {{ template }} field=field form='user' %}
      {% endfor %}
    </form>
  </div>

  <div
    id="shipping-address"
    class="mt-3"
    data-controller="cart-shipping"
    data-scroll-to="cart-shipping"
    data-cart-shipping-next="{{ site.payment.url }}"
    data-cart-shipping-template="assets/templates/shipping_methods.html">

    <h2>{{ page.shipping_address }}</h2>

    <form
      data-target="cart-shipping.form"
      data-action="cart-shipping#rates">
      {% for field in site.data.forms.shipping_address %}
        {% assign template = field[1].type | append: '.html' %}
        {% include {{ template }} field=field %}
      {% endfor %}
    </form>

    <div id="cart-shipping">
      <h2 class="mt-3">{{ page.shipping_methods }}</h2>

      <div data-target="cart-shipping.methods">
        {{ page.shipping_methods_help | markdownify }}
      </div>
    </div>
  </div>
</section>
